Create or update rule
Create or update a condition rule.
Authorization
auth ApiKey AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
In: header
X-API-KEY<token>
Internal API key for admin endpoints. Example: "X-API-KEY: {key}"
In: header
Path Parameters
id*string
The ID of the condition.
Format
uuidRequest Body
application/json
The rule information to add or update.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/conditions/497f6eca-6276-4993-bfeb-53cbbbba6f08/rule" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "qlikAppId": "c8e142ed-5c22-4064-87da-aac893bd9e5b", "values": [ { "type": "string", "order": 0 } ] }'Empty